Build Geant4 v10.2 with the USolids library (but with USOLIDS_VECGEOM=0OFF)
Scope: Internal SSI Package:

Experiment: g-2 Co-Assignees:

Description

See hitp:/geant4.web.cern.ch/geant4/UserDocumentation/UsersGuides/InstallationGuide/html/ch02s03.html (search for USolids)

For USolids, see http://aidasoft.web.cern.ch/USolids and
https://gitlab.cern.ch/VecGeom/VecGeom/raw/v00-01-00/doc/GEANT4_INSTALL.md . But be sure that you set
USOLIDS_VECGEOM=0OFF (we don't want to use the VecGeom implementation yet - that's not ready for production).

History

#1 - 02/08/2016 11:57 AM - Kyle Knoepfel

- Status changed from New to Feedback

We would like to bring this up at the stakeholders meeting to discuss the experiments' desires and intentions for incorporating vectorization in their
use of Geant4.

#2 - 02/08/2016 03:18 PM - Adam Lyon

Hi Kyle - So the issue here is not vectorization -- according to our resident VecGeom expert, Guilherme Lima (who is down the hall from you),
VecGeom is not ready for general use. g-2 needs Geant compiled against USolids because USolids speeds up tracking through tessellated volumes
by three orders of magnitude over regular Geant. The library is just better - not vectorized. -- Adam

#3 - 11/21/2016 11:52 AM - Kyle Knoepfel
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
